// Entity publication state label
// TODO: Check if this still works
.entity--unpublished {
  position: relative;
}

.entity-publication-state {
  &.label {
    // Label is used on objects like card, media-object, ...
    position: absolute;
    left: 0.5rem;
    top: 0.5rem;
    z-index: 2;
  }
}

// Entity embed (via ckeditor / wysiwyg)
.embedded-entity {
  margin-bottom: var(--bs-spacer-3);
}

.embed-entity {
  // It seems this wrapper appears and if a caption is set.
  margin-bottom: var(--bs-spacer-3);

  .embedded-entity {
    margin-bottom: 0;

    >* {
      // cards etc. contents with default margin
      margin-bottom: 0;
    }
  }

  .caption {
    display: block;
    background: var(--bs-gray-light);
    color: var(--bs-gray-dark);
    padding: 0.5em;
    font-size: var(--bs-font-size-sm);
    font-style: italic;
  }
}

// Drupal More link (views + node teasers)
div.more-link {
  text-align: center;
  margin-top: var(--bs-spacer-4);

  >a {
    margin-bottom: 0;
  }
}
